curl --request POST \
--url https://agents.bigdata.com/v1/workflow/templates/{template_id}/clone \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"content_filter": {
"all_of": [
{
"document_ids": [
"<string>"
],
"type": "DOCUMENT_ID"
}
],
"any_of": [
{
"document_ids": [
"<string>"
],
"type": "DOCUMENT_ID"
}
],
"none_of": [
{
"document_ids": [
"<string>"
],
"type": "DOCUMENT_ID"
}
]
},
"description": "<string>",
"expected_input": {},
"expected_output": "<string>",
"name": "<string>",
"prompt": "<string>",
"ranking_parameters": {
"freshness_boost": 5,
"source_boost": 5
},
"research_plan": {
"title": "<string>",
"steps": []
},
"tools_configs": {
"factset__FactSet_Fundamentals": {
"enabled": true
},
"python_code_execution": {
"chart_generation_enabled": false,
"enabled": true
}
}
}
'import requests
url = "https://agents.bigdata.com/v1/workflow/templates/{template_id}/clone"
payload = {
"content_filter": {
"all_of": [
{
"document_ids": ["<string>"],
"type": "DOCUMENT_ID"
}
],
"any_of": [
{
"document_ids": ["<string>"],
"type": "DOCUMENT_ID"
}
],
"none_of": [
{
"document_ids": ["<string>"],
"type": "DOCUMENT_ID"
}
]
},
"description": "<string>",
"expected_input": {},
"expected_output": "<string>",
"name": "<string>",
"prompt": "<string>",
"ranking_parameters": {
"freshness_boost": 5,
"source_boost": 5
},
"research_plan": {
"title": "<string>",
"steps": []
},
"tools_configs": {
"factset__FactSet_Fundamentals": { "enabled": True },
"python_code_execution": {
"chart_generation_enabled": False,
"enabled": True
}
}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content_filter: {
all_of: [{document_ids: ['<string>'], type: 'DOCUMENT_ID'}],
any_of: [{document_ids: ['<string>'], type: 'DOCUMENT_ID'}],
none_of: [{document_ids: ['<string>'], type: 'DOCUMENT_ID'}]
},
description: '<string>',
expected_input: {},
expected_output: '<string>',
name: '<string>',
prompt: '<string>',
ranking_parameters: {freshness_boost: 5, source_boost: 5},
research_plan: {title: '<string>', steps: []},
tools_configs: {
factset__FactSet_Fundamentals: {enabled: true},
python_code_execution: {chart_generation_enabled: false, enabled: true}
}
})
};
fetch('https://agents.bigdata.com/v1/workflow/templates/{template_id}/clone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://agents.bigdata.com/v1/workflow/templates/{template_id}/clone",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'content_filter' => [
'all_of' => [
[
'document_ids' => [
'<string>'
],
'type' => 'DOCUMENT_ID'
]
],
'any_of' => [
[
'document_ids' => [
'<string>'
],
'type' => 'DOCUMENT_ID'
]
],
'none_of' => [
[
'document_ids' => [
'<string>'
],
'type' => 'DOCUMENT_ID'
]
]
],
'description' => '<string>',
'expected_input' => [
],
'expected_output' => '<string>',
'name' => '<string>',
'prompt' => '<string>',
'ranking_parameters' => [
'freshness_boost' => 5,
'source_boost' => 5
],
'research_plan' => [
'title' => '<string>',
'steps' => [
]
],
'tools_configs' => [
'factset__FactSet_Fundamentals' => [
'enabled' => true
],
'python_code_execution' => [
'chart_generation_enabled' => false,
'enabled' => true
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://agents.bigdata.com/v1/workflow/templates/{template_id}/clone"
payload := strings.NewReader("{\n \"content_filter\": {\n \"all_of\": [\n {\n \"document_ids\": [\n \"<string>\"\n ],\n \"type\": \"DOCUMENT_ID\"\n }\n ],\n \"any_of\": [\n {\n \"document_ids\": [\n \"<string>\"\n ],\n \"type\": \"DOCUMENT_ID\"\n }\n ],\n \"none_of\": [\n {\n \"document_ids\": [\n \"<string>\"\n ],\n \"type\": \"DOCUMENT_ID\"\n }\n ]\n },\n \"description\": \"<string>\",\n \"expected_input\": {},\n \"expected_output\": \"<string>\",\n \"name\": \"<string>\",\n \"prompt\": \"<string>\",\n \"ranking_parameters\": {\n \"freshness_boost\": 5,\n \"source_boost\": 5\n },\n \"research_plan\": {\n \"title\": \"<string>\",\n \"steps\": []\n },\n \"tools_configs\": {\n \"factset__FactSet_Fundamentals\": {\n \"enabled\": true\n },\n \"python_code_execution\": {\n \"chart_generation_enabled\": false,\n \"enabled\": true\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://agents.bigdata.com/v1/workflow/templates/{template_id}/clone")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"content_filter\": {\n \"all_of\": [\n {\n \"document_ids\": [\n \"<string>\"\n ],\n \"type\": \"DOCUMENT_ID\"\n }\n ],\n \"any_of\": [\n {\n \"document_ids\": [\n \"<string>\"\n ],\n \"type\": \"DOCUMENT_ID\"\n }\n ],\n \"none_of\": [\n {\n \"document_ids\": [\n \"<string>\"\n ],\n \"type\": \"DOCUMENT_ID\"\n }\n ]\n },\n \"description\": \"<string>\",\n \"expected_input\": {},\n \"expected_output\": \"<string>\",\n \"name\": \"<string>\",\n \"prompt\": \"<string>\",\n \"ranking_parameters\": {\n \"freshness_boost\": 5,\n \"source_boost\": 5\n },\n \"research_plan\": {\n \"title\": \"<string>\",\n \"steps\": []\n },\n \"tools_configs\": {\n \"factset__FactSet_Fundamentals\": {\n \"enabled\": true\n },\n \"python_code_execution\": {\n \"chart_generation_enabled\": false,\n \"enabled\": true\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://agents.bigdata.com/v1/workflow/templates/{template_id}/clone")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"content_filter\": {\n \"all_of\": [\n {\n \"document_ids\": [\n \"<string>\"\n ],\n \"type\": \"DOCUMENT_ID\"\n }\n ],\n \"any_of\": [\n {\n \"document_ids\": [\n \"<string>\"\n ],\n \"type\": \"DOCUMENT_ID\"\n }\n ],\n \"none_of\": [\n {\n \"document_ids\": [\n \"<string>\"\n ],\n \"type\": \"DOCUMENT_ID\"\n }\n ]\n },\n \"description\": \"<string>\",\n \"expected_input\": {},\n \"expected_output\": \"<string>\",\n \"name\": \"<string>\",\n \"prompt\": \"<string>\",\n \"ranking_parameters\": {\n \"freshness_boost\": 5,\n \"source_boost\": 5\n },\n \"research_plan\": {\n \"title\": \"<string>\",\n \"steps\": []\n },\n \"tools_configs\": {\n \"factset__FactSet_Fundamentals\": {\n \"enabled\": true\n },\n \"python_code_execution\": {\n \"chart_generation_enabled\": false,\n \"enabled\": true\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"is_community": true,
"name": "<string>",
"prompt": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"content_filter": {
"all_of": [
{
"document_ids": [
"<string>"
],
"type": "DOCUMENT_ID"
}
],
"any_of": [
{
"document_ids": [
"<string>"
],
"type": "DOCUMENT_ID"
}
],
"none_of": [
{
"document_ids": [
"<string>"
],
"type": "DOCUMENT_ID"
}
]
},
"description": "<string>",
"expected_input": {},
"expected_output": "<string>",
"ranking_parameters": {
"freshness_boost": 5,
"source_boost": 5
},
"research_plan": {
"title": "<string>",
"steps": []
},
"tools_configs": {
"factset__FactSet_Fundamentals": {
"enabled": true
},
"python_code_execution": {
"chart_generation_enabled": false,
"enabled": true
}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Clone Template
Create a copy of an existing template with optional field overrides.
curl --request POST \
--url https://agents.bigdata.com/v1/workflow/templates/{template_id}/clone \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"content_filter": {
"all_of": [
{
"document_ids": [
"<string>"
],
"type": "DOCUMENT_ID"
}
],
"any_of": [
{
"document_ids": [
"<string>"
],
"type": "DOCUMENT_ID"
}
],
"none_of": [
{
"document_ids": [
"<string>"
],
"type": "DOCUMENT_ID"
}
]
},
"description": "<string>",
"expected_input": {},
"expected_output": "<string>",
"name": "<string>",
"prompt": "<string>",
"ranking_parameters": {
"freshness_boost": 5,
"source_boost": 5
},
"research_plan": {
"title": "<string>",
"steps": []
},
"tools_configs": {
"factset__FactSet_Fundamentals": {
"enabled": true
},
"python_code_execution": {
"chart_generation_enabled": false,
"enabled": true
}
}
}
'import requests
url = "https://agents.bigdata.com/v1/workflow/templates/{template_id}/clone"
payload = {
"content_filter": {
"all_of": [
{
"document_ids": ["<string>"],
"type": "DOCUMENT_ID"
}
],
"any_of": [
{
"document_ids": ["<string>"],
"type": "DOCUMENT_ID"
}
],
"none_of": [
{
"document_ids": ["<string>"],
"type": "DOCUMENT_ID"
}
]
},
"description": "<string>",
"expected_input": {},
"expected_output": "<string>",
"name": "<string>",
"prompt": "<string>",
"ranking_parameters": {
"freshness_boost": 5,
"source_boost": 5
},
"research_plan": {
"title": "<string>",
"steps": []
},
"tools_configs": {
"factset__FactSet_Fundamentals": { "enabled": True },
"python_code_execution": {
"chart_generation_enabled": False,
"enabled": True
}
}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content_filter: {
all_of: [{document_ids: ['<string>'], type: 'DOCUMENT_ID'}],
any_of: [{document_ids: ['<string>'], type: 'DOCUMENT_ID'}],
none_of: [{document_ids: ['<string>'], type: 'DOCUMENT_ID'}]
},
description: '<string>',
expected_input: {},
expected_output: '<string>',
name: '<string>',
prompt: '<string>',
ranking_parameters: {freshness_boost: 5, source_boost: 5},
research_plan: {title: '<string>', steps: []},
tools_configs: {
factset__FactSet_Fundamentals: {enabled: true},
python_code_execution: {chart_generation_enabled: false, enabled: true}
}
})
};
fetch('https://agents.bigdata.com/v1/workflow/templates/{template_id}/clone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://agents.bigdata.com/v1/workflow/templates/{template_id}/clone",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'content_filter' => [
'all_of' => [
[
'document_ids' => [
'<string>'
],
'type' => 'DOCUMENT_ID'
]
],
'any_of' => [
[
'document_ids' => [
'<string>'
],
'type' => 'DOCUMENT_ID'
]
],
'none_of' => [
[
'document_ids' => [
'<string>'
],
'type' => 'DOCUMENT_ID'
]
]
],
'description' => '<string>',
'expected_input' => [
],
'expected_output' => '<string>',
'name' => '<string>',
'prompt' => '<string>',
'ranking_parameters' => [
'freshness_boost' => 5,
'source_boost' => 5
],
'research_plan' => [
'title' => '<string>',
'steps' => [
]
],
'tools_configs' => [
'factset__FactSet_Fundamentals' => [
'enabled' => true
],
'python_code_execution' => [
'chart_generation_enabled' => false,
'enabled' => true
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://agents.bigdata.com/v1/workflow/templates/{template_id}/clone"
payload := strings.NewReader("{\n \"content_filter\": {\n \"all_of\": [\n {\n \"document_ids\": [\n \"<string>\"\n ],\n \"type\": \"DOCUMENT_ID\"\n }\n ],\n \"any_of\": [\n {\n \"document_ids\": [\n \"<string>\"\n ],\n \"type\": \"DOCUMENT_ID\"\n }\n ],\n \"none_of\": [\n {\n \"document_ids\": [\n \"<string>\"\n ],\n \"type\": \"DOCUMENT_ID\"\n }\n ]\n },\n \"description\": \"<string>\",\n \"expected_input\": {},\n \"expected_output\": \"<string>\",\n \"name\": \"<string>\",\n \"prompt\": \"<string>\",\n \"ranking_parameters\": {\n \"freshness_boost\": 5,\n \"source_boost\": 5\n },\n \"research_plan\": {\n \"title\": \"<string>\",\n \"steps\": []\n },\n \"tools_configs\": {\n \"factset__FactSet_Fundamentals\": {\n \"enabled\": true\n },\n \"python_code_execution\": {\n \"chart_generation_enabled\": false,\n \"enabled\": true\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://agents.bigdata.com/v1/workflow/templates/{template_id}/clone")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"content_filter\": {\n \"all_of\": [\n {\n \"document_ids\": [\n \"<string>\"\n ],\n \"type\": \"DOCUMENT_ID\"\n }\n ],\n \"any_of\": [\n {\n \"document_ids\": [\n \"<string>\"\n ],\n \"type\": \"DOCUMENT_ID\"\n }\n ],\n \"none_of\": [\n {\n \"document_ids\": [\n \"<string>\"\n ],\n \"type\": \"DOCUMENT_ID\"\n }\n ]\n },\n \"description\": \"<string>\",\n \"expected_input\": {},\n \"expected_output\": \"<string>\",\n \"name\": \"<string>\",\n \"prompt\": \"<string>\",\n \"ranking_parameters\": {\n \"freshness_boost\": 5,\n \"source_boost\": 5\n },\n \"research_plan\": {\n \"title\": \"<string>\",\n \"steps\": []\n },\n \"tools_configs\": {\n \"factset__FactSet_Fundamentals\": {\n \"enabled\": true\n },\n \"python_code_execution\": {\n \"chart_generation_enabled\": false,\n \"enabled\": true\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://agents.bigdata.com/v1/workflow/templates/{template_id}/clone")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"content_filter\": {\n \"all_of\": [\n {\n \"document_ids\": [\n \"<string>\"\n ],\n \"type\": \"DOCUMENT_ID\"\n }\n ],\n \"any_of\": [\n {\n \"document_ids\": [\n \"<string>\"\n ],\n \"type\": \"DOCUMENT_ID\"\n }\n ],\n \"none_of\": [\n {\n \"document_ids\": [\n \"<string>\"\n ],\n \"type\": \"DOCUMENT_ID\"\n }\n ]\n },\n \"description\": \"<string>\",\n \"expected_input\": {},\n \"expected_output\": \"<string>\",\n \"name\": \"<string>\",\n \"prompt\": \"<string>\",\n \"ranking_parameters\": {\n \"freshness_boost\": 5,\n \"source_boost\": 5\n },\n \"research_plan\": {\n \"title\": \"<string>\",\n \"steps\": []\n },\n \"tools_configs\": {\n \"factset__FactSet_Fundamentals\": {\n \"enabled\": true\n },\n \"python_code_execution\": {\n \"chart_generation_enabled\": false,\n \"enabled\": true\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"is_community": true,
"name": "<string>",
"prompt": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"content_filter": {
"all_of": [
{
"document_ids": [
"<string>"
],
"type": "DOCUMENT_ID"
}
],
"any_of": [
{
"document_ids": [
"<string>"
],
"type": "DOCUMENT_ID"
}
],
"none_of": [
{
"document_ids": [
"<string>"
],
"type": "DOCUMENT_ID"
}
]
},
"description": "<string>",
"expected_input": {},
"expected_output": "<string>",
"ranking_parameters": {
"freshness_boost": 5,
"source_boost": 5
},
"research_plan": {
"title": "<string>",
"steps": []
},
"tools_configs": {
"factset__FactSet_Fundamentals": {
"enabled": true
},
"python_code_execution": {
"chart_generation_enabled": false,
"enabled": true
}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Body
Optional overrides when cloning a workflow template.
Per-tool configuration stored with the template, keyed by tool id. Two key families are supported: python_code_execution (toggles sandboxed Python and chart rendering for every run) and connector tool ids in the <connector>__<tool> form (e.g. "factset__FactSet_Fundamentals": {"enabled": true}). Search settings belong in content_filter, ranking_parameters, or the execution request — not here. See GET /v1/tools for each connector tool's config schema.
{
"factset__FactSet_Fundamentals": { "enabled": true },
"python_code_execution": {
"chart_generation_enabled": false,
"enabled": true
}
}
Response
Successful Response
A complete workflow template with all metadata.
Per-tool configuration stored with the template, keyed by tool id. Two key families are supported: python_code_execution (toggles sandboxed Python and chart rendering for every run) and connector tool ids in the <connector>__<tool> form (e.g. "factset__FactSet_Fundamentals": {"enabled": true}). Search settings belong in content_filter, ranking_parameters, or the execution request — not here. See GET /v1/tools for each connector tool's config schema.
{
"factset__FactSet_Fundamentals": { "enabled": true },
"python_code_execution": {
"chart_generation_enabled": false,
"enabled": true
}
}
Was this page helpful?